FORMAT: 1A
HOST: http://192.168.0.53:5555

# Group Vectorapi
Group of all vectorapi-related resources.

## Exportlog

Exportlog resource provides export log details 

## Index [/vectorapi/exportlog/index{?limit,access_token}]

### Index [GET]

+ Parameters

    + limit (optional,number, `5`)
    + access_token (optional,varchar, `some token`)


+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "192.168.0.69",
      "httpStatusCode": 200
    },
    "request": "exportlog/index?params=vectorapi&exportlog&index&json&5&<some_token>",
    "response": {
      "exportLog": [
        {
          "fileName": "ppl_maintained_list_76k_tracks.xlsx",
          "archiveLocation": "https://prod-partner-reports.s3.amazonaws.com/PPL/ppl_maintained_list_76k_tracks.xlsx",
          "notes": "This is the list of tracks that The Orchard had previously sent (Prior to 09/2013) and which PPL has agreed to pay out on. These ISRC's must not be sent again.",
          "createdDate": "2014-02-20 18:15:42",
          "trackId": "2255854",
          "trackName": "I Want Your Love",
          "isrc": "ES5770690334",
          "upc": "884385630546",
          "delivered_status": "success"
        },
        {
          "fileName": "ppl_maintained_list_76k_tracks.xlsx",
          "archiveLocation": "https://prod-partner-reports.s3.amazonaws.com/PPL/ppl_maintained_list_76k_tracks.xlsx",
          "notes": "This is the list of tracks that The Orchard had previously sent (Prior to 09/2013) and which PPL has agreed to pay out on. These ISRC's must not be sent again.",
          "createdDate": "2014-02-20 18:15:42",
          "trackId": "1357550",
          "trackName": "Summer Over",
          "isrc": "ES5770600301",
          "upc": "829410453684",
          "delivered_status": "success"
        },
        {
          "fileName": "ppl_maintained_list_76k_tracks.xlsx",
          "archiveLocation": "https://prod-partner-reports.s3.amazonaws.com/PPL/ppl_maintained_list_76k_tracks.xlsx",
          "notes": "This is the list of tracks that The Orchard had previously sent (Prior to 09/2013) and which PPL has agreed to pay out on. These ISRC's must not be sent again.",
          "createdDate": "2014-02-20 18:15:42",
          "trackId": "1357549",
          "trackName": "No More Things To Say (Feat.Llanos)",
          "isrc": "ES5770600300",
          "upc": "829410453684",
          "delivered_status": "success"
        },
        {
          "fileName": "ppl_maintained_list_76k_tracks.xlsx",
          "archiveLocation": "https://prod-partner-reports.s3.amazonaws.com/PPL/ppl_maintained_list_76k_tracks.xlsx",
          "notes": "This is the list of tracks that The Orchard had previously sent (Prior to 09/2013) and which PPL has agreed to pay out on. These ISRC's must not be sent again.",
          "createdDate": "2014-02-20 18:15:42",
          "trackId": "2862263",
          "trackName": "Waves Of Luv (Mattara vs Vtraxx Radio Mix)",
          "isrc": "ITJ871002165",
          "upc": "885686049532",
          "delivered_status": "success"
        },
        {
          "fileName": "ppl_maintained_list_76k_tracks.xlsx",
          "archiveLocation": "https://prod-partner-reports.s3.amazonaws.com/PPL/ppl_maintained_list_76k_tracks.xlsx",
          "notes": "This is the list of tracks that The Orchard had previously sent (Prior to 09/2013) and which PPL has agreed to pay out on. These ISRC's must not be sent again.",
          "createdDate": "2014-02-20 18:15:42",
          "trackId": "2862272",
          "trackName": "Sugar Sugar Pie (Ragga-Matta Mix)",
          "isrc": "ITJ871002171",
          "upc": "885686061589",
          "delivered_status": "success"
        }
      ],
      "totalRecords": "654912"
    }
  }
}




+ **Other Optional Parameters**

    + limit
    + offset

+ **Sort Options (optional)**  
    + sortBy
    + vendorId
    + upc
    + isrc
    + trackId
    + export
    + sortOrder
